BOSSAC(1)

NAME
bossac - Command line programmer for Atmel SAM ARM microcontrollers

SYNOPSIS
bossac [OPTIONS] [FILE]

DESCRIPTION
BOSSA - the Basic Open Source SAM-BA Application - is a flash programmer for Atmel SAM microcontrollers. This is the command line interface for writing binary images to the target microcontroller's FLASH or ROM over a USB or serial connection. Secondarily bossac may be used to dump binary data already on the target microcontroller or display diagnostic information about the device.

OPTIONS

-e, --erase
    Erase the target's entire flash memory before performing any read or write operations.

-w, --write
    Write FILE to the target's flash memory. This operation can be expedited immensely if used in conjunction with the --erase option.

-r, --read[=SIZE]
    Read SIZE bytes from the target's flash memory and store the contents in FILE. If SIZE is not specified the entire contents on the target's flash memory will subsequently be read and written to disk.

-v, --verify
    Verify that FILE matches the contents of flash on the target, or vice-versa if you prefer.

-p, --port[=PORT]
    Use the serial port PORT to communicate with the device. By default this program will automatically scan all serial ports looking for a supported device.

-b, --boot[=BOOL]
    Boot from ROM if BOOL is 0. Boot from FLASH if BOOL is 1. (The latter is default.) This option is completely disregarded on unsupported devices.

-c, --bod[=BOOL]
    Disable brownout detection if BOOL is 0. Enable brownout detection if BOOL is 1. (The latter is default.)

-t, --bor[=BOOL]
    Disable brownout reset if BOOL is 0. Enable brownout reset if BOOL is 1. (The latter is default.)

-l, --lock[=REGION]
    Lock the flash region REGION. Multiple regions may be specified as a comma-separated list. All regions will be locked if no REGION is given (default).

-u, --unlock[=REGION]
    Unlock the flash region REGION. Multiple regions may be specified as a comma-separated list. All regions will be unlocked if no REGION is given (default).

-s, --security
    Set the flash security flag.

-U, --force_usb_port[=BOOL]
    Enable automatic detection of the target's USB port if BOOL is false. Disable USB port autodetection if BOOL is true. (The former is default.)

-R, --reset
    Reset the CPU after writing FILE to the target. This option is completely disregarded on unsupported devices.

-i, --info
    Display diagnostic information identifying the target device.

-d, --debug
    Print verbose diagnostic messages for debug purposes.

-h, --help
    Display short command line help information.

EXAMPLES
bossac -e -w -v -b image.bin # Erase FLASH, write image.bin to FLASH, verify the write, and set boot from FLASH
bossac --port=ttyACM0 -U false -e -w -v -b -R image.bin # Do the same thing as the previous example, except forceably write to the device connected to ttyACM0 and reset the CPU after verifying the write
bossac -r0x10000 image.bin # Read 64KB from FLASH on the target device, then write it out to image.bin on your hard disk

AUTHOR
This manual page was written by Karl Lenz <xorangekiller@gmail.com> for the Debian project (but may be used by others).

COPYRIGHT
Copyright (c) 2011-2013 ShumaTech <http://www.shumatech.com>

Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

Bossac is provided "as is" with no warranty. This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version. On Debian systems, the complete text of the GNU General Public License version 3 can be found in "/usr/share/common-licenses/GPL-3".

SEE ALSO
bossa(1), bossash(1)